Bug 858267 - Designer: cannot add user service node into Shape Repository
Designer: cannot add user service node into Shape Repository
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 09:29 EDT by Sona Mala
Modified: 2013-10-10 20:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Icon for service (276 bytes, image/gif)
2012-09-18 09:29 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-09-18 09:29:52 EDT
Created attachment 614025 [details]
Icon for service

Description of problem:
I define Work Item Definition and use template for it (just change name and icon). But if I open/create BPMN2 process and expand Service Tasks in ShapeRepository, I am not able to find my service.

Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER1

How reproducible:
Every time

Steps to Reproduce:
1. Add my icon (is attached) into package
2. Create new Work Item Definition
3. Change property "name" to "MyService1" (instead of "MyTask" write "MyService1")
4. Change property "displayName" to "My service 1" (instead of "My Task" write "My Service 1")
5. Add icon location (use icon's select)
6. Save and close asset
7. Open BPMN2 process (designer)

  
Actual results:
I am not able to find service node in Shape repository under Service tasks.
In server.log occurs ERROR:
[org.jbpm.designer.web.preprocessing.impl.JbpmPreprocessingUnit] (http-127.0.0.1-8080-32) Failed to setup workitems : [Error: unbalanced braces [ ... ]]
[Near : {... [ ....}]
                                                                                                                                                  ^
[Line: 4, Column: 1]

But brackets are balanced.

Expected results:
That service node occurs in Shape Repository of BPMN2 process designer.
That template of Work Item Definition is valid.
Any tool for validation. (User have not got acces to server.log)


Additional info:
Work Item Definition code:
import org.drools.process.core.datatype.impl.type.ObjectDataType;
import org.drools.process.core.datatype.impl.type.StringDataType;

[
  [
    "name" : "MyTask",
    "parameters" : [
    	"MyFirstParam" : new StringDataType(),
    	"MySecondParam" : new StringDataType(),
    	"MyThirdParam" : new ObjectDataType()
    ],
    "results" : [
        "Result" : new ObjectDataType()
    ],
    "displayName" : "My Task",
    "icon" : "http://localhost:8080/jboss-brms/rest/packages/defaultPackage/assets/icon1/binary",
  ]     
]
Comment 1 Tihomir Surdilovic 2012-09-18 09:40:40 EDT
Can you validate your workitem definition in the Guvnor workitem definitions editor? Does is pass?
Comment 2 Tihomir Surdilovic 2012-09-18 10:59:42 EDT
Not able to reproduce this problem. Seems to work fine.
Comment 3 Sona Mala 2012-09-18 12:30:44 EDT
waiting on reproducible test case

I lost repository, in which was this problem. I cannot reproduce it in empty repository.
Comment 4 Tihomir Surdilovic 2012-09-19 11:07:47 EDT
Ok, I will wait until it can be reproduced again. Until then could we set the status to on_qa ?
Comment 5 Tihomir Surdilovic 2012-09-25 15:32:51 EDT
Setting status on ON_QA untile we have a reproducible test. Thanks.

Note You need to log in before you can comment on or make changes to this bug.